P_fd_set Class Reference

`#include <socket.h>`

## Public Member Functions

| P_fd_set ()
| P_fd_set (SOCKET fd)
| ~P_fd_set ()
P_fd_set & | operator= (SOCKET fd)
P_fd_set & | operator+= (SOCKET fd)
P_fd_set & | operator-= (SOCKET fd)
void | Zero ()
PBoolean | IsPresent (SOCKET fd) const
| operator fd_set * () const

## Protected Member Functions

void | Construct ()

## Protected Attributes

SOCKET | max_fd
fd_set * | set

## Constructor & Destructor Documentation

## P_fd_set() [1/2]

P_fd_set::P_fd_set | ( |  | ) |

## P_fd_set() [2/2]

P_fd_set::P_fd_set | ( | SOCKET | fd | ) |

## ~P_fd_set()

P_fd_set::~P_fd_set | ( |  | ) |

inline

References free, PSocket::SelectList::operator+=(), PSocket::SelectList::operator-=(), and PChannel::operator=().

## Member Function Documentation

## Construct()

void P_fd_set::Construct | ( |  | ) |

protected

## IsPresent()

PBoolean P_fd_set::IsPresent | ( | SOCKET | fd | ) | const

inline

## operator fd_set *()

P_fd_set::operator fd_set * | ( |  | ) | const

inline

## operator+=()

P_fd_set& P_fd_set::operator+= | ( | SOCKET | fd | ) |

## operator-=()

P_fd_set& P_fd_set::operator-= | ( | SOCKET | fd | ) |

## operator=()

P_fd_set& P_fd_set::operator= | ( | SOCKET | fd | ) |

## Zero()

void P_fd_set::Zero | ( |  | ) |

## Member Data Documentation

## max_fd

SOCKET P_fd_set::max_fd

protected

## set

fd_set* P_fd_set::set

protected

The documentation for this class was generated from the following file:

- socket.h